| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::CTHM1176InstrumentScanner Class Reference

THM1176 Instrument Scanner class: scan for connected instruments. More...

`#include <CTHM1176InstrumentManager.h>`

Inheritance diagram for MTL::CTHM1176InstrumentScanner:
[legend]
Collaboration diagram for MTL::CTHM1176InstrumentScanner:
[legend]

## Public Slots
void | Start (THM1176_RSRC_MGR_CLS *pResourceManager)
| Initialize THM1176 Instrument Scanner.
void | Stop (void)
| Shut down THM1176 Instrument Scanner.

## Signals
void | UpdateInstrumentList (CResourceList InstrumentList)
| An update to the instrument list is available.
void | UpdateErrorList (CErrorList ErrorList)
| An update to the error list is available.

## Public Member Functions
| CTHM1176InstrumentScanner (void)
| Constructor.
| ~CTHM1176InstrumentScanner (void) override
| Destructor.

## Detailed Description

THM1176 Instrument Scanner class: scan for connected instruments.

The user need not worry about this object. It is created and destroyed automatically by the THM1176 Instrument Manager public interface.

Definition at line 226 of file CTHM1176InstrumentManager.h.

## Constructor & Destructor Documentation

## ◆ CTHM1176InstrumentScanner()

MTL::CTHM1176InstrumentScanner::CTHM1176InstrumentScanner | ( | void |  | ) |
| inline

Constructor.

Definition at line 255 of file CTHM1176InstrumentManager.h.

## ◆ ~CTHM1176InstrumentScanner()

MTL::CTHM1176InstrumentScanner::~CTHM1176InstrumentScanner | ( | void |  | ) |
| inline override

Destructor.

Definition at line 259 of file CTHM1176InstrumentManager.h.

## Member Function Documentation

## ◆ Start

void CTHM1176InstrumentScanner::Start | ( | THM1176_RSRC_MGR_CLS * | pResourceManager | ) |
| slot

Initialize THM1176 Instrument Scanner.

Parameters

  [in] | pResourceManager | Pointer to the VISA Resource Manager.

Definition at line 39 of file CTHM1176InstrumentManager.cpp.

## ◆ Stop

void CTHM1176InstrumentScanner::Stop | ( | void |  | ) |
| slot

Shut down THM1176 Instrument Scanner.

Definition at line 46 of file CTHM1176InstrumentManager.cpp.

## ◆ UpdateErrorList

void MTL::CTHM1176InstrumentScanner::UpdateErrorList | ( | CErrorList | ErrorList | ) |
| signal

An update to the error list is available.

Parameters

  [in] | ErrorList | Updated error list.

## ◆ UpdateInstrumentList

void MTL::CTHM1176InstrumentScanner::UpdateInstrumentList | ( | CResourceList | InstrumentList | ) |
| signal

An update to the instrument list is available.

Parameters

  [in] | InstrumentList | Updated instrument list.

The documentation for this class was generated from the following files:

- THM1176InstrumentManager/include/CTHM1176InstrumentManager.h
- THM1176InstrumentManager/src/CTHM1176InstrumentManager.cpp